Get Subscription
curl --request GET \
--url https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Success",
"data": {
"id": 21,
"customerId": "test-trial",
"customerEmail": "johndoe@gmail.com",
"firstName": null,
"lastName": null,
"customerAuthorizedAt": null,
"status": "ACTIVE",
"currentPeriodStart": "2026-07-08T20:20:32.893234",
"currentPeriodEnd": "2026-07-09T20:20:32.893236",
"nextChargeDate": "2026-07-09T20:20:32.893236",
"trialEndDate": null,
"pauseResumesAt": null,
"cancelAt": null,
"pausedAt": null,
"cancelledAt": null,
"cancellationReason": null,
"cardExpiryAlertSent": false,
"connectionMode": "Live",
"enrollmentReference": "SUBREF_FF29C28B70034065A6",
"enrollmentTxnReference": "SUB_ENROLL_21_1783539495235",
"chargeMode": "DIRECT_CHARGE",
"metadata": null,
"createdAt": "2026-07-08T19:38:15.22973",
"updatedAt": "2026-07-08T20:20:33.000927",
"customerBearsFee": false,
"enrollConfirmed": true
}
}Subscription Reads
Get Subscription
It retrieves the details of a specific subscription.
GET
/
subscription
/
api
/
v1
/
subscriptions
/
{id}
Get Subscription
Authorizations
Payaza {{Public API Key in Base 64}}
Path Parameters
The Plan ID.
⌘I